<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecyrity5">
<head>
    <meta charset="UTF-8">
    <link rel='stylesheet' href='/images/style.css'>
    <title>Road Help</title>
</head>
<body>
<div class='header'>
    <div class='header-line'>
        <div class='header-logo'>
            <img src="/images/logo.png"/>
        </div>
        <div class='container'>
            <div class='buttons'>
                <div class='button' sec:authorize="isAnonymous()">
                    <a class="btn bt-yellow" th:href="@{/incident}">New request</a>
                    <a class="btn" th:href="@{/registration}" role="button">Sign up</a>
                    <a class="btn" th:href="@{/login}" role="button">Login</a>
                </div>
                <div sec:authorize="hasRole('USER')">
                    <a class="btn bt-yellow" th:href="@{/incident}">New request</a>
                    <a class="btn bt-yellow" th:href="@{/incident/all}">See requests</a>
                    <a class="btn" th:href="@{/order/orders}">My orders</a>
                    <a class="btn" th:href="@{/user/account}">My account</a>
                </div>
                <div sec:authorize="hasRole('VENDOR')">
                    <div th:if="${vendorStatus} == 'VERIFY'">
                        <a class="btn" th:href="@{/incident/no_order}">Find order</a>
                    </div>
                </div>
                <div sec:authorize="hasRole('SERVICE')">
                    <a class="btn" th:href="@{/vendors_on_verify}">Vendors are waiting
                        for verify</a>
                    <a class="btn" th:href="@{/service}">Service</a>
                </div>
                <div sec:authorize="isAuthenticated()">
                    <a class="btn" th:href="@{/logout}">Logout</a>
                </div>
            </div>
        </div>
    </div>
    <div class='background'/>
    <div class="text">
        <h1> It's my capstone project "Road Helper".
        </h1>
        <h2>If you need help on the road, you can make request by pushing " New request " button
            and wait for your road assistant, or check the list of our partners and call them by yourself.</h2>
    </div>
</div>
</body>

